SDLCheckButton(3)

NAME
SDLCheckButton - A single check button.

SYNOPSIS

#include <sdlcheckbutton.h>

Inherits SDLRadioButton.

  Public Methods
SDLCheckButton (SDLWidget* parent, int id, SDL_Rect& r, char* text)
~SDLCheckButton ()
void SetUnpressed ()

  Protected Methods
bool eventMouseButtonUp (const SDL_MouseButtonEvent* my_widgetButton)
Overridable Eventhandler for a SDL_MouseButtonEvent message.
bool eventButtonClick (int id, SDLWidget* widget)

DETAILED DESCRIPTION

A single check button.

Author(s):
 Alexander Pipelka

Definition at line 48 of file sdlcheckbutton.h.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLCheckButton::SDLCheckButton (SDLWidget * parent, int id, SDL_Rect & r, char * text)

  SDLCheckButton::~SDLCheckButton ()

MEMBER FUNCTION DOCUMENTATION

  void SDLCheckButton::SetUnpressed ()

  bool SDLCheckButton::eventButtonClick (int id, SDLWidget * widget) [protected, virtual]

Reimplemented from SDLRadioButton.

  bool SDLCheckButton::eventMouseButtonUp (const SDL_MouseButtonEvent * my_widgetButton) [protected, virtual]

Overridable Eventhandler for a SDL_MouseButtonEvent message.

This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

button SDL_MouseButtonEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLRadioButton.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.